Bug 36084 - xdm XDCMP says 'This account is currently not available'
Summary: xdm XDCMP says 'This account is currently not available'
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-19 09:50 UTC by sec
Modified: 2002-03-20 00:18 UTC (History)
0 users

See Also:


Attachments
patch-xdm-config (364 bytes, text/plain; charset=us-ascii)
2002-03-19 21:11 UTC, sec
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description sec 2002-03-19 09:50:01 UTC
If you use xdms XDCMP responses usually contain the load and number of
users of the box.

This is done via the line:

DisplayManager.willing:  su nobody -c /usr/X11R6/lib/X11/xdm/Xwilling

in /usr/X11R6/lib/X11/xdm/xdm-config

This fails with 'This account is currently not available'.

While searching for this problem I found it is also an OpenBSD PR
(system/2145)

Fix: 

Modify this line (add -m) to:

DisplayManager.willing:  su -m nobody -c /usr/X11R6/lib/X11/xdm/Xwilling

or give user nobody a shell (less recommended)
How-To-Repeat: 
ice:~#su nobody -c /usr/X11R6/lib/X11/xdm/Xwilling
This account is currently not available.

To see this problem in action, modify /usr/X11R6/lib/X11/xdm/Xaccess
to allow XDCMP indirect/direct requests and start X with -indirect
Comment 1 Will Andrews 2002-03-19 16:58:55 UTC
On Tue, Mar 19, 2002 at 10:46:21AM +0100, Stefan `Sec` Zehl wrote:
> DisplayManager.willing:  su -m nobody -c /usr/X11R6/lib/X11/xdm/Xwilling

Can you send a patch?  I don't use XDM and don't want to get this
wrong.

Thanks,
-- 
wca
Comment 2 sec 2002-03-19 21:11:31 UTC
On Tue, Mar 19, 2002 at 11:58:55AM -0500, Will Andrews wrote:
> On Tue, Mar 19, 2002 at 10:46:21AM +0100, Stefan `Sec` Zehl wrote:
> > DisplayManager.willing:  su -m nobody -c /usr/X11R6/lib/X11/xdm/Xwilling
> 
> Can you send a patch?  I don't use XDM and don't want to get this
> wrong.

Of course. Sorry it took me so long, but at first I didn't notice the
patches all have to be in the files/ subdirectory of the
XFree86-4-libraries port. %)

CU,
    Sec
-- 
Consider the need for having to type "www.domain.name" a little IQ test
that you have to take before you can access my web site.'     -- Wietse
Comment 3 Will Andrews freebsd_committer 2002-03-20 00:18:40 UTC
State Changed
From-To: open->closed

Committed, thanks.